## org.irisa.genouest.logol.types
Class AbstractVariable

    java.lang.Object
      org.irisa.genouest.logol.types.AbstractVariable

Direct Known Subclasses:
  ModelVariable, Variable, ViewVariable

    public abstract class AbstractVariable

extends java.lang.Object

Author:
  osallou History: 01/03/10 @FIX 1578

Constructor Summary
`AbstractVariable()`
`AbstractVariable(int id)`

Method Summary
`java.lang.String` `externalPredicate(LogolVariable lvar, boolean allowSpacer, java.lang.String minSpacer, java.lang.String maxSpacer)` Call a built-in predicate to search for a specifci pattern
`java.lang.String` `getProlog()` Return prolog sentence content

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractVariable

    public AbstractVariable(int id)

### AbstractVariable

    public AbstractVariable()

Method Detail

### getProlog

    public java.lang.String getProlog()

  Return prolog sentence content

  Returns:
    a prolog content

### externalPredicate

    public java.lang.String externalPredicate(LogolVariable lvar,
                                              boolean allowSpacer,
                                              java.lang.String minSpacer,
                                              java.lang.String maxSpacer)
                                       throws GrammarException

  Call a built-in predicate to search for a specifci pattern

  Parameters:
    `lvar` - variable to analyse
    `allowSpacer` - Allow spacer in front of match
    `minSpacer` - if spacer allowed, what is minimum spacer size
    `maxSpacer` - if spacer allowed, what is maximum spacer size
  Returns:
    The prolog content to call the built-in predicate
  Throws:
    `GrammarException`